---
title: "Get organization activity"
url: "https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-activity"
type: "endpoint"
section: "organization"
slug: "organization/operations/get-v2-organizations-org-id-activity"
method: "GET"
path: "/v2/organizations/{org_id}/activity"
operation_id: "get-v2-organizations-org-id-activity"
authorization: "bearer"
---

# Get organization activity

`GET /v2/organizations/{org_id}/activity`

This endpoint allows API users to retrieve document and user activity statistics for an organization.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the organization activity is retrieved. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | integer | Yes | Start of the period, as a Unix timestamp. The period between `date_from` and `date_to` must be shorter than `31` days. |
| `date_to` | integer | Yes | End of the period, as a Unix timestamp. Must be less than `31` days after `date_from`. |

## Responses

### 200

Successful response. Returns the organization activity log.

**Example** (`Successful response`)

```json
{
  "data": {
    "senders": 26,
    "signers": 218,
    "documents": 2042,
    "active_users": 4652,
    "sent_documents": 451,
    "signed_documents": 101,
    "average_complete_time": "0:8:22"
  }
}
```

### 400

Wrong, expired, or missing token.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user isn't an admin or moderator of the organization.
* The user doesn't have an active trial, Professional, or Enterprise subscription.

**Example** (`No subscription`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Not an admin or moderator`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

The organization doesn't exist or isn't active.

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `0aa11112b0ed40aab8cab111a76a6eea07f0000e` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{org_id}/activity" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/get-v2-organizations-org-id-activity*
